<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$idDoc=$sessao->getVar('transfere');
$finalidade=$sessao->getVar('finalidade');

$sqlRabicho=$sessao->getVar('controle1');//esta é a sessao criada no farejador o resto é conversa mole



//echo("xxxxxxxxxxxxxxsqlfinal= $sqlRabicho<br>");

$nomeOperador=$sessao->getVar('nomeuser');
$objetocalculo = new calculos(); //calcula todos valores finais

//$dados=retorna_dados_usuario();
//list($idLabo, $binario, $nivel, $usuario, $idProdutor,$regiao,$idUsuario) = explode(":", $dados);//$idUsuario=35;
 /////////inicio da captura do trasnfere///////////////////////
$composto=$_GET["composto"];
if($composto==null)
{
      $composto=$_POST["composto"];
}
else
{
    print "<script>alert('Selecione um modelo de relatório, para ver seus dados.');</script>";//so entra aqui na primeira vez
}
$imagemCliente="i".$idLabo.".JPG";


//echo ("composto= $composto idlabo= $idLabo usuario=$usuario<br>");
//echo ("inicioiiiiiiiiiiiiiiiiiiiiiiiicomposto= $composto <br>");
list($vetor[1],$vetor[2],$vetor[3],$vetor[4],$vetor[5]) = explode(":", $composto);
$sqlParteFinal=" from remetente,cultivar,ficha,especies where prd_id_lab=".$idLabo." &&  fic_labo=".$idLabo." && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id " ;
$sqlParteFinal=$sqlParteFinal.$sqlRabicho;
for($i=1;$i<=5;$i++)
{
     if($vetor[$i]!="")
	 {
        $numero=substr($vetor[$i],0,2);
		$conteudo=substr($vetor[$i],2);
		if($numero=="01")
        {
     		$pedaco1=  " && "." esp_nome="."'$conteudo'";
     		$pedacoPortugues1=  " Esp:".$conteudo;
		}	
		if($numero=="02")
		{
		    $pedaco2=  " && "." ctv_nome="."'$conteudo'";
     		$pedacoPortugues2=  " Cult:".$conteudo;
		}
		if($numero=="03")
        {
     		$pedaco3=  " && "." fic_categoria="."'$conteudo'";
     		$pedacoPortugues3=  " Cat:".$conteudo;
		}	
		if($numero=="04")
		{
		    $pedaco4=  " && "." fic_peneira="."'$conteudo'";
     		$pedacoPortugues4=  " Pen:".$conteudo;
		}	
		if($numero=="05")
		{
		    $pedaco5=  " && "." prd_apelido="."'$conteudo'";
     		$pedacoPortugues5=  " Prod:".$conteudo;
		}	
	 }
}
$compostoPortugues=$pedacoPortugues1.$pedacoPortugues2.$pedacoPortugues3.$pedacoPortugues4.$pedacoPortugues5;
$sqlParteFinal.=$pedaco1.$pedaco2.$pedaco3.$pedaco4.$pedaco5;
 
// echo("Versao de teste: $usuario idlabo= $idLabo nivel= $nivel --- $binario --idprodutor= $idProdutor NOME PRODUTOR=$pedacoProdutor<br>");
 
 
$tipo=$_POST["tipo"];

//enche o combo com a lista de modelos de relatorios
$sqlModelos="select rmo_nome from relatomodelo where rmo_labo=".$idLabo;
//echo("sqlModelos= $sqlModelos   <br>");
//$listaGenerica2=$objetocalculo-> captura_registros_generico1($sqlModelos,"rmo_nome");
   //ENTRA DE QUAKQUER MANEIRA
    $generica=new tabelagenerica();
    $generica->extras_select =$sqlModelos;
	$generica->selecionaCamposEspecial($generica);
	$contador=0;
    while ($resgenerica= $generica->retornaDados()):
       $contador++;
	   $listaGenerica2[$contador]=$resgenerica->rmo_nome;
	   //echo(" esgenerica->rmo_nom e$resgenerica->rmo_nome <br>");
    endwhile; 

$filtrosSelecionados="Filtros:".$compostoPortugues;


$idModeloGuardado=$_POST["idModeloGuardado"];
$selecionado2=$_POST["nomeSelecionado2"];
if($tipo=="900")
{
	    $selecionado2=$_POST["combo2"];
	    //echo("bbbbbbbbbbbbbbbbbbbbbbbbbbbselecionado2=$selecionado2<br>");
        //vai capturar a id do modelo do relatorio,  que foi selecionado
        $sqlM="select rmo_id from relatomodelo where rmo_labo=".$idLabo." && rmo_nome='".$selecionado2."'";
		//$vetorModelo= achaultimo($sqlM);
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlM;
		$generica->selecionaCamposEspecial($generica);
	    while ($resgenerica= $generica->retornaDados()):
		   $idModeloGuardado=$resgenerica->rmo_id;
	    endwhile; 
		$modeloSelecionado=$idModeloGuardado;//$idModeloGuardado;    

		//verifica quantos campos tem
		$sql="select rca_campo_tabela from relatocampos where rca_id_modelo=".$modeloSelecionado;
		//$numeroCampos= confirmaregistro($sql);
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sql;
		$generica->selecionaCamposEspecial($generica);
		$numeroCampos=0;
	    while ($resgenerica= $generica->retornaDados()):
	       $numeroCampos++;
	    endwhile; 

		//seleciona os campos que vao ser apresentados
		$sqlCampos="select rca_campo_tabela from relatocampos where rca_id_modelo=".$modeloSelecionado;
		//$listaCampos= captura_registros_generico1($sqlCampos,"rca_campo_tabela");
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlCampos;
		$generica->selecionaCamposEspecial($generica);
		$contador=0;
	    while ($resgenerica= $generica->retornaDados()):
           $listaCampos[$contador]=$resgenerica->rca_campo_tabela;
	       $contador++;
	    endwhile; 
        //echo $listaCampos[0];//aparece o primeiro campo da coleção
		
		//seleciona os titulos das culunas
		//$modeloSelecionado=$idModeloGuardado;//$idModeloGuardado;    
		$sqlCampos="select rca_campo_custom from relatocampos where rca_id_modelo=".$modeloSelecionado;
		//$listaCabecalho= captura_registros_generico1($sqlCampos,"rca_campo_custom");
		//ENTRA DE QUAKQUER MANEIRA
	    $generica=new tabelagenerica();
	    $generica->extras_select =$sqlCampos;
		$generica->selecionaCamposEspecial($generica);
		$contador=0;
	    while ($resgenerica= $generica->retornaDados()):
           $listaCabecalho[$contador]=$resgenerica->rca_campo_custom;
	       $contador++;
	    endwhile; 




		//monta a sqlfinal
		//$sqlFinal="select ".$listaCampos[0]."," .$listaCampos[1]."," .$listaCampos[2]."," .$listaCampos[3]."," .$listaCampos[4]."," .$listaCampos[5]." from remetente,cultivar,ficha where fic_labo=".$idLabo." && prd_id=fic_produtor && ctv_id=fic_cultivar " .$pedaco1.$pedaco2;
        $pedacoField1=    $listaCampos[0];//o primeiro nao tem virgula antes (sintaxe)
        if(empty($listaCampos[1])==false) $pedacoField2=",".$listaCampos[1];
        if(empty($listaCampos[2])==false) $pedacoField3=",".$listaCampos[2];
        if(empty($listaCampos[3])==false) $pedacoField4=",".$listaCampos[3];
        if(empty($listaCampos[4])==false) $pedacoField5=",".$listaCampos[4];
        if(empty($listaCampos[5])==false) $pedacoField6=",".$listaCampos[5];
        if(empty($listaCampos[6])==false) $pedacoField7=",".$listaCampos[6];
        if(empty($listaCampos[7])==false) $pedacoField8=",".$listaCampos[7];
        if(empty($listaCampos[8])==false) $pedacoField9=",".$listaCampos[8];
        if(empty($listaCampos[9])==false) $pedacoField10=",".$listaCampos[9];
		
		//$sqlFinal="select ".$pedacoField1.$pedacoField2.$pedacoField3.$pedacoField4.$pedacoField5.$pedacoField6.$pedacoField7.$pedacoField8.$pedacoField9.$pedacoField10." from remetente,cultivar,ficha,especies where fic_labo=".$idLabo." && prd_id=fic_produtor && ctv_id=fic_cultivar && ctv_especie=esp_id " .$pedacoProdutor.$pedaco1.$pedaco2.$pedaco3.$pedaco4.$pedaco5.$pedacoLaudo;
		$sqlFinal="select ".$pedacoField1.$pedacoField2.$pedacoField3.$pedacoField4.$pedacoField5.$pedacoField6.$pedacoField7.$pedacoField8.$pedacoField9.$pedacoField10. $sqlParteFinal;
	   // echo("rrrrrrrrrrrrrrrrrrrrrrrrsqlfinal=$sqlFinal<br>");
} //aqui fecha o if da pergunta se é tipo=901

//vai criar modelo de gestao bem basico amostra lote remetente especie 
if($tipo=="902")
{
	    $selecionado2="Modelo Básico";
		$listaCabecalho[0]="Amostra";
		$listaCabecalho[1]="Lote";
		$listaCabecalho[2]="Requerente";//estava Produtor
		$listaCabecalho[3]="Especie";
		$listaCabecalho[4]="Cultivar";
		if($finalidade=='DEFINITIVA'):
		  $sqlParteInicial="select fic_amostra, fic_lote, prd_apelido, esp_nome, ctv_nome ";
		  $ordenador=" order by fic_amostra";
		else:
		  $sqlParteInicial="select fic_amostra_previa, fic_lote, prd_apelido, esp_nome, ctv_nome ";		
		  $ordenador=" order by fic_amostra_previa";
		endif;
		
		
		$sqlFinal=$sqlParteInicial. $sqlParteFinal.$ordenador;
	    //echo("rrrrrrrrrrrrrrrrrrrrrrrrsqlfinal=$sqlFinal<br>");
} //aqui fecha o if da pergunta se é tipo=901








?>

<script language='Javascript'>

function  ClikButton(e)
       {
           //document.formAmostra.lote.value=document.formAmostra.combo1.options[document.formAmostra.combo1.selectedIndex].text;
           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)    //esta linha serve para ver qual botao foi clicado
           if(e==1) //especie
           {
                document.formAmostra.submit();
           }
           if(e==2) //cultivar
           {
                document.formAmostra.submit();
           }
           if(e==3) //categoria
           {
                document.formAmostra.submit();
           }
           if(e==4) //peneira
           {
                document.formAmostra.submit();
           }
           if(e==5) //produtor
           {
                document.formAmostra.submit();
           }
           if(e==6) //limpador de filtros
           {
                document.formAmostra.submit();
           }

		   
		   if(e==900) //era 9
           {
             document.formAmostra.nomeSelecionado2.value=document.formAmostra.combo2.options[document.formAmostra.combo2.selectedIndex].text;
             document.formAmostra.submit();
           
           }
		   if(e==901) //era 9
           {
            // document.formAmostra.nomeSelecionado.value=document.formAmostra.combo1.options[document.formAmostra.combo1.selectedIndex].text;
             //document.formAmostra.submit();
			 $nomeCliente=$sessao->getVar('idProdutor');
	         $sessao->setVar("controle",6);//numero de colunas
	         $sessao->setVar("controle1","Demonstrativo de cliente ".$nomeCliente);
		     $titulos='Amostra:Date receb:Especie:Testes:Valor:Pago:';
	         $sessao->setVar("controle3",$titulos);
			 
			 
			 
			 
			 
			 
			 window.open('ImprimeGenerico2014.php','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=1000,height=800');

           
           }

		   if(e==902) //era 9
           {
             //document.formAmostra.nomeSelecionado2.value=document.formAmostra.combo2.options[document.formAmostra.combo2.selectedIndex].text;
             document.formAmostra.submit();
           
           }
		   
		   
        }
		function chamalink1()
       {
		  window.open('manual2010.php?opcaoManual=pesquisar','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
       }

		
		
		
</script>








<head>
		<!--<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />-->
        <!--<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">    ASSIM NAO ACENTUA-->
        <meta http-equiv="imagetoolbar" content="no"/>
        <meta name="language" content="pt-br"/>
        <title>Dinamica</title>
	<!--	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />-->

<title>Cadastro de amostra</title>
<!--   
o css abaixo é apenas para dar uma aparência melhor para o calendário. vc pode mudá-lo a sua maneira 
insira o código abaixo entre as tags <HEAD> </HEAD> de sua página
-->
<style type="text/css">
    .dia {font-family: helvetica, arial; font-size: 8pt; color: #FFFFFF}
    .data {font-family: helvetica, arial; font-size: 8pt; text-decoration:none; color:#191970}
    .mes {font-family: helvetica, arial; font-size: 8pt}
    .Cabecalho_Calendario {font-family: helvetica, arial; font-size: 10pt; color: #000000; text-decoration:none; font-weight:bold}
	table#alter td {background:#888;}
	table#alter tr.dif td
	{
	  background:#EEEEEE;
	}
	table#alter tr.dif1 td
	{
	  background:  #B5B5B5;//poe o cinza claro das bandas
	}
	
	div.scrollTable
	{
	    background: #fff;
	    border: 10px solid #888; //MOLDURA AO REDOR DA GRADE 
	}
    div.scrollTable table.header table{
	    width: 100%;
	    border-collapse: collapse;
	}
	
	div.scroller table.alter table{
	    width: 100%;
	    border-collapse: collapse;
	}

	//Se poe 1px parece excel
	div.scrollTable table.header th, div.scrollTable div.scroller table td{
	    border: 0px solid #444; 
	    padding: 3px 5px;
	}

	div.scrollTable table.header th{
	    background: #698B22;
	}

	div.scrollTable div.scroller{height: 200px;
	    overflow: auto;
	}

	div.scrollTable .coluna20px{ width: 20px;} 
    div.scrollTable .coluna35px { width: 35px; }
	div.scrollTable .coluna40px{ width: 40px;}
	div.scrollTable .coluna55px { width: 55px; } 
	div.scrollTable .coluna80px { width: 80px; } 
	div.scrollTable .coluna180px { width: 180px; } 
</style>
</head>
<title>Amostrax</title>
<!--<body background="Imagens/fundoazuldegradecentral1.jpg">
<body bgcolor="#9ACOCD">
<body bgcolor="#4F94CD"
<body bgcolor="#BFEFFF">>
<body bgcolor="#87CEFA"
<body bgcolor="#BOE2FF"-->
<!--<body background="Imagens/fundoazuldegradecentral1.jpg">-->


<b>Amostras  <?php echo $finalidade;?> Resultado de busca -Relatórios-(34)3212.6384 </b>

<br>
<form  name='formAmostra' method="POST" action="dinamica2012.php">
<input type=  "hidden" size="2"  name="tipo" id="tipo" value=<?php echo $tipo?>>
<input type=  "hidden" size="1"  name="tipoGuardado" id="tipoGuardado" value=<?php echo $tipoGuardado?>>
<input type = "hidden" size="1"  name="idUsuario" value=<?php echo $idUsuario?>>
<input type = "hidden" size="6"  name="nomeSelecionado" value=<?php echo $selecionado?>>
<input type = "hidden" size="6"  name="idModeloGuardado" value=<?php echo $idModeloGuardado?>>
<!--cada filtro deve ter um campo destes-->
<input type = "hidden" size="100"  name="composto" value="<?php echo $composto?>">
<?php
if($tipo=="900" || $tipo=="902")
{  
     //echo("dddddddddddddddddddddentrou no 900ddddsqlfinal=$sqlFinal<br>");
     if(empty($selecionado2)==false)
	 {
     //AQUI PEGA AS LARGURAS DAS COLUNAS
     $largura1=60;
     $largura2=50;
     $largura3=50;
     $largura4=80;
     $largura5=110;
     $largura6=50;
     $largura7=50;
     $largura8=50;
     $largura9=50;
     $largura10=50;
	 $fator=10;
     //pega as larguras do cbeçalho
	 $largura1=strlen($listaCabecalho[0]);
     $largura2=strlen($listaCabecalho[1]);
     $largura3=strlen($listaCabecalho[2]);
     $largura4=strlen($listaCabecalho[3]);
     $largura5=strlen($listaCabecalho[4]);
     $largura6=strlen($listaCabecalho[5]);
     $largura7=strlen($listaCabecalho[6]);
     $largura8=strlen($listaCabecalho[7]);
     $largura9=strlen($listaCabecalho[8]);
     $largura10=strlen($listaCabecalho[10]);
	 //pega as larguras das colunas
	 $resultado=mysql_query($sqlFinal);
	 //echo $sqlFinal;
	 $linhas=mysql_num_rows($resultado);
	 //echo ("numero de linhas=$linhas<br>");
	 //echo"<p><b>Lista de produtos da loja</b></p>";
	 
	 //abre o arquivo com w para apagar tudo preparando para imprimir
	 $f=fopen("impdetail.txt","w",0); 
	 fclose($f);
	 for($i=0;$i<$linhas;$i++)
	 {
		 $reg=mysql_fetch_row($resultado);
		 $largura1a=strlen($reg[0]); if($largura1a>$largura1)$largura1=$largura1a;
		 $largura2a=strlen($reg[1]); if($largura2a>$largura2)$largura2=$largura2a;
		 $largura3a=strlen($reg[2]); if($largura3a>$largura3)$largura3=$largura3a;
		 $largura4a=strlen($reg[3]); if($largura4a>$largura4)$largura4=$largura4a;
		 $largura5a=strlen($reg[4]); if($largura5a>$largura5)$largura5=$largura5a;
		 $largura6a=strlen($reg[5]); if($largura6a>$largura6)$largura6=$largura6a;
		 $largura7a=strlen($reg[6]); if($largura7a>$largura7)$largura7=$largura7a;
		 $largura8a=strlen($reg[7]); if($largura8a>$largura8)$largura8=$largura8a;
		 $largura9a=strlen($reg[8]); if($largura9a>$largura9)$largura9=$largura9a;
		 $largura10a=strlen($reg[9]); if($largura10a>$largura10)$largura10=$largura10a;
         //aqui ja cria o detail para imprimir 		 
		 $f=fopen("impdetail.txt","a+",0); 
	     $linha=$reg[0].":".$reg[1].":".$reg[2].":".$reg[3].":".$reg[4].":".$reg[5].":".$reg[6].":".$reg[7].":".$reg[8].":".$reg[9].":\n";
	     fwrite($f,$linha,strlen($linha));
		 fclose($f);
     }
	 
     //multiplica a quantidade de caracteres pelo faator	 
     $largura1=$largura1*$fator;
     $largura2=$largura2*$fator;
     $largura3=$largura3*$fator;
     $largura4=$largura4*$fator;
     $largura5=$largura5*$fator;
     $largura6=$largura6*$fator;
     $largura7=$largura7*$fator;
     $largura8=$largura8*$fator;
     $largura9=$largura9*$fator;
     $largura10=$largura10*$fator;
	 ######################grava dados para imprirmir o cabecalho na impressora############
	 $titulo="Pesquisa dinâmica - Sistema SilasNet - ".$selecionado2;
     $portraite="nao";
	 //carcula o numero de colunas
	 $numColunas="4";
	 if($largura5>0) $numColunas=5;
	 if($largura6>0) $numColunas=6;
	 if($largura7>0) $numColunas=7;
	 if($largura8>0) $numColunas=8;
	 if($largura9>0) $numColunas=9;
	 if($largura10>0) $numColunas=10;
     //deve fechar em 100%
	 $somaLarguras=$largura1+$largura2+$largura3+$largura4+$largura5+$largura6+$largura7+$largura8+$largura9+$largura10;
	 $largura1i=$largura1/$somaLarguras*100;
	 $largura2i=$largura2/$somaLarguras*100;
	 $largura3i=$largura3/$somaLarguras*100;
	 $largura4i=$largura4/$somaLarguras*100;
	 $largura5i=$largura5/$somaLarguras*100;
	 $largura6i=$largura6/$somaLarguras*100;
	 $largura7i=$largura7/$somaLarguras*100;
	 $largura8i=$largura8/$somaLarguras*100;
	 $largura9i=$largura9/$somaLarguras*100;
	 $largura10i=$largura10/$somaLarguras*100;
	 $cabColuna1=$listaCabecalho[0];
	 $cabColuna2=$listaCabecalho[1];
	 $cabColuna3=$listaCabecalho[2];
	 $cabColuna4=$listaCabecalho[3];
	 $cabColuna5=$listaCabecalho[4];
	 $cabColuna6=$listaCabecalho[5];
	 $cabColuna7=$listaCabecalho[6];
	 $cabColuna8=$listaCabecalho[7];
	 $cabColuna9=$listaCabecalho[8];
	 $cabColuna10=$listaCabecalho[9];
	 
	 
	 //esta parte eu acho que e para imprimir, se for eu vou fazer algo bem mais light 
	 
	 //gravar_array_arquivo($idUsuario,$titulo,$portraite,$numColunas,$largura1i,$largura2i,$largura3i,$largura4i,$largura5i,$largura6i,$largura7i,$largura8i,$largura9i,$largura10i,$cabColuna1,$cabColuna2,$cabColuna3,$cabColuna4,$cabColuna5,$cabColuna6,$cabColuna7,$cabColuna8,$cabColuna9,$cabColuna10); //Responssável pela gravação no Arquivo
     
	 #############################################################

	 
?>	
<div class="scrollTable">	 
	 <table class="header">
        <tr>
            <th width="<?php echo $largura1?>"> <?php echo $listaCabecalho[0]?></th>
            <th width="<?php echo $largura2?>"> <?php echo $listaCabecalho[1]?></th>
            <th width="<?php echo $largura3?>"> <?php echo $listaCabecalho[2]?></th>
            <th width="<?php echo $largura4?>"> <?php echo $listaCabecalho[3]?></th>
            <th width="<?php echo $largura5?>"> <?php echo $listaCabecalho[4]?></th>
            <th width="<?php echo $largura6?>"> <?php echo $listaCabecalho[5]?></th>
            <th width="<?php echo $largura7?>"> <?php echo $listaCabecalho[6]?></th>
            <th width="<?php echo $largura8?>"> <?php echo $listaCabecalho[7]?></th>
            <th width="<?php echo $largura9?>"> <?php echo $listaCabecalho[8]?></th>
            <th width="<?php echo $largura10?>"><?php echo $listaCabecalho[9]?></th>
            <th></th>
        </tr>
    </table>
	<div class="scroller">
	<table  id="alter">	 
	<!--final da parte roladora--> 
    <?php
         //echo("yyyyyyyyyyyyyyyyyyysqlFinal=$sqlFinal<br>");	
		 $resultado=mysql_query($sqlFinal);
		 //echo $sqlFinal;
		 $linhas=mysql_num_rows($resultado);
		 //echo ("numero de linhas=$linhas<br>");
		 //echo"<p><b>Lista de produtos da loja</b></p>";
		 for($i=0;$i<$linhas;$i++)
		 {
			 $resto=$i%2;//verifica se o resto é zero pois se for mar o resto é zero
			 $texto="dif1";
			 if($resto!=0) $texto=" ";
    		 $reg=mysql_fetch_row($resultado);
			 ?>
			 <tr  class="<?php echo $texto?>"><!--isso aqui é so para fazer a zebra pois uma vez o texto é dif que significa cor cinza -->
             <td  width="<?php echo $largura1?>"><?php echo $reg[0]?></td>
             <td  width="<?php echo $largura2?>"><?php echo $reg[1]?></td>
             <td  width="<?php echo $largura3?>"><?php echo $reg[2]?></td>
             <td  width="<?php echo $largura4?>"><?php echo $reg[3]?></td>
             <td  width="<?php echo $largura5?>"><?php echo $reg[4]?></td>
             <td  width="<?php echo $largura6?>"><?php echo $reg[5]?></td>
             <td  width="<?php echo $largura7?>"><?php echo $reg[6]?></td>
             <td  width="<?php echo $largura8?>"><?php echo $reg[7]?></td>
             <td  width="<?php echo $largura9?>"><?php echo $reg[8]?></td>
             <td  width="<?php echo $largura10?>"><?php echo $reg[9]?></td>
             <tr/>
			 
			 
			 
         <?php 
		 }
     }
     ?>
	 </table>
     </div> <!--fecha o scrolltable-->
</div><!--fecha o scrolller-->
<?php 
}
else
{
?>
<table height="200" border="1" width="800"><!--cria a tabela geral-->
<td align="center">Selecione um modelo já disponível.</td>
<?php 


}   
?>
<table width="780" border="1" bgcolor="#e2dee1"><!--cria a tabela geral-->
<tr>
<td> <?php echo $filtrosSelecionados?></td>
</tr>
</table>

 <!--tabela de modelos-->
 <table width="600" border="1">
 <td bgcolor="#698B22" > 
 <table width="250" border="1"  bgcolor="#698B22">
 Modelos disponiveis:
	      	 <select name="combo2" multiple  onchange="ClikButton(900)">  
			 <?php
			 foreach($listaGenerica2 aS $vlr)
			 {
				 if($vlr!="")
				 {
					 ?>
					 <option><?php echo $vlr?></option>
					 <?php
				 }
			 }
			 ?>
			 </select>
 </table></td>
 <td ><table width="300" border="1" bgcolor="#698B22">
	<tr>
	<td  > Modelo selecionado: <input type = "text" size="80"  name="nomeSelecionado2" value="<?php echo $selecionado2?>"></td>
	</tr>
	<tr>
	<table width="300" border="1" bgcolor="brown">
	<tr>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Básico" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Gestão(1)" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Gestão(2)" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="A.Vermelho" onClick="ClikButton(902)"/></td>
	</tr>
	<tr>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Gestão(5)" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Gestão(6)" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Gestão(7)" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Documentos" onClick="ClikButton(902)"/></td>
	</tr>
	<tr>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Vago" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Vago" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Vago" onClick="ClikButton(902)"/></td>
		 <td><input name="b_novo1" type="button" id="b_novo1" value="Vago" onClick="ClikButton(902)"/></td>
	</tr>
    </table>
	</tr>
	
 </table></td>
 </table>
<!--grade rodapexxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx-->
<table width="600" border="1" align="center">
<tr>
	 <td><input name="b_novo1" type="button" id="b_novo1" value="Imprimir" onClick="ClikButton(901)"/></td>
	<td>
	<a href="javascript:chamalink1()">Orientação</a>
	</td>
	<td align="center"> 
	<a href="javascript:window.close();">Fechar</a>
	</td>
</tr>
</table>

 
 
 
 </form>

 
	 
	 
	 



